totem_ip_address Struct Reference

The totem_ip_address struct. More...

`#include <coroapi.h>`

## Data Fields

unsigned int | nodeid
unsigned short | family
unsigned char | addr [TOTEMIP_ADDRLEN]

## Detailed Description

The totem_ip_address struct.

Definition at line 111 of file coroapi.h.

## Field Documentation

## addr

unsigned char totem_ip_address::addr

Definition at line 114 of file coroapi.h.

Referenced by totemip_compare(), totemip_equal(), totemip_iface_check(), totemip_is_mcast(), totemip_parse(), totemip_sa_equal(), totemip_sockaddr_to_totemip_convert(), and totemip_totemip_to_sockaddr_convert().

## family

unsigned short totem_ip_address::family

Definition at line 113 of file coroapi.h.

Referenced by totem_config_validate(), totem_volatile_config_validate(), totemip_compare(), totemip_equal(), totemip_iface_check(), totemip_is_mcast(), totemip_parse(), totemip_sa_equal(), totemip_sockaddr_to_totemip_convert(), totemip_totemip_to_sockaddr_convert(), totemsrp_my_family_get(), totemudp_initialize(), totemudp_net_mtu_adjust(), and totemudpu_net_mtu_adjust().

## nodeid

unsigned int totem_ip_address::nodeid

Definition at line 112 of file coroapi.h.

Referenced by main_iface_change_fn(), totem_config_read(), totemip_iface_check(), totemip_sockaddr_to_totemip_convert(), totemknet_initialize(), totemknet_member_add(), totemknet_member_remove(), totemknet_token_target_set(), totemsrp_ifaces_get(), totemsrp_initialize(), totemudp_initialize(), totemudp_nodestatus_get(), totemudp_token_target_set(), totemudpu_initialize(), totemudpu_nodestatus_get(), and totemudpu_token_target_set().

The documentation for this struct was generated from the following files:

- coroapi.h
- totemip.h